[PATCH] declare d_aflatcolor in header file

d_aflatcolor is used in d_init.c, but declared elsewhere. Put the
extern in an appropriate header file.

diff -urN a/common/d_init.c head/common/d_init.c
--- a/common/d_init.c	2006-05-13 18:33:07.000000000 +0930
+++ head/common/d_init.c	2006-05-27 17:12:54.000000000 +0930
@@ -22,9 +22,6 @@
 #include "quakedef.h"
 #include "d_local.h"
 
-// FIXME - header hacks
-extern int d_aflatcolor;
-
 #define NUM_MIPS	4
 
 cvar_t d_subdiv16 = { "d_subdiv16", "1" };
diff -urN a/include/d_local.h head/include/d_local.h
--- a/include/d_local.h	2006-05-13 18:33:07.000000000 +0930
+++ head/include/d_local.h	2006-05-27 17:12:20.000000000 +0930
@@ -104,6 +104,7 @@
 
 extern short *zspantable[MAXHEIGHT];
 
+extern int d_aflatcolor;
 extern int d_minmip;
 extern float d_scalemip[3];
 
